Feeef Cloud
ApiGeo

Get one courier by id

GET
/geo/couriers/{id}
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Path Parameters

id*string

Query Parameters

country?string
Length2 <= length <= 2
Default"DZ"
lang?string
Default"fr"

Value in

  • "ar"
  • "fr"
  • "en"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geo/couriers/string"
{  "data": {    "id": "string",    "adapter": "string",    "name": "string",    "displayName": "string",    "locales": {      "ar": "string",      "fr": "string",      "en": "string"    },    "logoUrl": "string",    "operatingCountries": [      "string"    ],    "capabilities": {      "countries": [        "string"      ],      "create": true,      "cancel": true,      "edit": true,      "list": true,      "track": true,      "labels": true,      "pickups": true,      "webhooks": true,      "polling": true,      "limits": {        "maxBatchCreate": 0,        "maxLabelsPerRequest": 0      }    },    "orderRequirements": {      "state": {        "externalId": true,        "externalName": true      },      "city": {        "externalId": true,        "externalName": true      },      "pickup": {        "home": true,        "stopdesk": true,        "always": true      }    },    "active": true  }}